Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Rund um AutoCAD
  Exploden, aber nicht nur die zeichnung im vordergrund

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Exploden, aber nicht nur die zeichnung im vordergrund (418 mal gelesen)

Ex-Mitglied

erstellt am: 21. Jun. 2005 07:29    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat

dank der CAD.de community hab ich es ja endlich geschafft mein problem mit dem exploden endlich in den griff zu kriegen mit folgendem script:
Zitat:

(while (setq elemli (ssget "_X" '((0 . "INSERT"))))(repeat (sslength elemli)(command "_.explode" (ssname elemli 0))(setq elemli (ssdel (ssname elemli 0) elemli))));(while (setq elemli (ssget "_X" '((0 . "POLYLINE"))))(repeat (sslength elemli)(command "_.explode" (ssname elemli 0))(setq elemli (ssdel (ssname elemli 0) elemli))))

jetzt meine frage:
gibt es eine möglichkeit den oben genannten script so umzuschreiben oder zu benutzten, das alle dateien die im acad geöffnet sind, explodet werden und nicht nur die aktive???

danke schonmal im vorraus

------------------
rechtschreibfehler sind beabsichtigt und dienen der allgemeinen belustigung

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 21. Jun. 2005 07:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Das Lisp läuft bloß in der jeweils aktiven Zeichnung. Über ActivX wäre es möglich auch auf die anderen geöffneten Zeichnungen zuzugreifen.

------------------
- Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP


Ex-Mitglied

erstellt am: 21. Jun. 2005 07:49    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat

und wie müsste man das bewerkstelligen???

------------------
rechtschreibfehler sind beabsichtigt und dienen der allgemeinen belustigung


Ex-Mitglied

erstellt am: 21. Jun. 2005 08:00    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat

bzw. gibts die möglichkeit einer stapelverarbeitung????
so wie bei photoshop oder so ähnlich????


ps.: und wieso kann ich meine beiträge nicht editieren????
muss ja jedesmal nen doppelpost machen wenn ich noch wa szu meinem beitrag schreiben will

------------------
rechtschreibfehler sind beabsichtigt und dienen der allgemeinen belustigung

CADmium
Moderator
Maschinenbaukonstrukteur




Sehen Sie sich das Profil von CADmium an!   Senden Sie eine Private Message an CADmium  Schreiben Sie einen Gästebucheintrag für CADmium

Beiträge: 13435
Registriert: 30.11.2003

Hinweis: Meine Mitarbeit auf CAD.DE ist fakultativ, unentgeltlich und beruht nur auf einem ausgeprägtem Helfersyndrom.

erstellt am: 21. Jun. 2005 08:01    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

.. evtl. mit einem neuen Programm, aber erläuter uns doch zuerst mal den Hintergrund deines Wunsches "gibt es eine möglichkeit den oben genannten script so umzuschreiben oder zu benutzten, das alle dateien die im acad geöffnet sind, explodet werden und nicht nur die aktive???"

------------------
- Thomas -
"Bei 99% aller Probleme ist die umfassende Beschreibung des Problems bereits mehr als die Hälfte der Lösung desselben."

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP


Ex-Mitglied

erstellt am: 21. Jun. 2005 08:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat

jo, also der hintergund ist folgender:

im robcad erstelle ich componenten (*.co) und muss von diesen componenten *.dxf ansichten erstellen für dokumentaionen.
das ist kein problem, geht auch ziemlich fix.

diese ansichten müssen in catiav4 eingefügt werden. das problem bei catiav4 ist aber das die *.dxf "explodet" werden müssen, da sond im modell von catia millionen von details erstellt werden, was eine immense dateigrösse ergibt, von den ladezeiten mal nicht zu sprechen.

deswegen wollte ich die *.dxf dateien so schnell wie möglich exploden und das am besten alle automatisch nacheinander.

momentan ist es so das ich die arbeitszeit von früher 3-4 stunden pro ansicht runtergesetzt habe auf eine halbe stunde (das erstellen der ansicht im robcad hat immer so lange gedauert, habe ich aber mit einem shellscript zeitlich rapide gekürzt).

------------------
rechtschreibfehler sind beabsichtigt und dienen der allgemeinen belustigung

marc.scherer
Ehrenmitglied V.I.P. h.c.
CAD-Administrator



Sehen Sie sich das Profil von marc.scherer an!   Senden Sie eine Private Message an marc.scherer  Schreiben Sie einen Gästebucheintrag für marc.scherer

Beiträge: 2484
Registriert: 02.11.2001

Windows 10 64bit
AutoCAD Architecture 2018/2019 (deu/eng)
AEC-Collection 2019 (Revit und Zeugs)
Wenn sich's nicht vermeiden läßt:
D-A-CH Erweiterung (mies implementierter Schrott)

erstellt am: 21. Jun. 2005 10:06    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hi,
pack' Deinen Code in eine extra Lisp-Datei:
z.B. "caddeexplode.lsp".
Inhalt:
Code:

(while (setq ELEMLI (ssget "_X" '((0 . "INSERT"))))
  (repeat (sslength ELEMLI)
    (command "_.explode" (ssname ELEMLI 0))
    (setq ELEMLI (ssdel (ssname ELEMLI 0) ELEMLI))
  )
)


Diese Datei legst Du in den AutoCAD Suchpfad.
Dann erstellst Du eine Scriptdatei, z.B. "caddeexplode.scr"
Inhalt:
Code:

(load "caddeexplode.lsp")
_.qsave


Jetzt brauchst Du nur noch das kostenlose AutodeskTool "ScriptPro"
Ist Bestandteil der ADesk Migration Tools.
Hier kannst Du dann festlegen welches Script (s.o.) auf welche Dateien angewendet werden soll (Drag&Drop von Explorer nach ScriptPro Fenster empfehlenswert...)

------------------
Ciao,
Marc

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Ingenieur Elektronikentwicklung (m/w/div.)

Wir entwickeln und fertigen als erfolgreiches mittelständiges Unternehmen in Dresden weltweit gefragte Sensoren und Sensorsysteme. Zur Erweiterung unseres stetig wachsenden Teams suchen wir eine/einen:

Ingenieur Elektronikentwicklung (m/w/div.)


  • Bewertung von Lastenheften und Erstellung von Pflichtenheften sowie das Festlegen von Testspezifikationen
  • ...
Anzeige ansehenElektrotechnik, Elektronik

Ex-Mitglied

erstellt am: 21. Jun. 2005 12:04    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat

es funktioniert!!!!!!!

dankööö

/,e ne runde Us ausgibt

------------------
rechtschreibfehler sind beabsichtigt und dienen der allgemeinen belustigung

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz